/// ABBYY Mobile Capture © 2020 ABBYY Development, Inc.
/// ABBYY is a registered trademark or a trademark of ABBYY Software Ltd.

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "AUIDefinitions.h"

NS_ASSUME_NONNULL_BEGIN

/// Document size type.
typedef CGSize AUIDocumentSize NS_TYPED_EXTENSIBLE_ENUM;

/// Any document size.
ABBYYUI_EXTERN AUIDocumentSize const AUIDocumentSizeAny;

/// A4 210 x 297 mm.
ABBYYUI_EXTERN AUIDocumentSize const AUIDocumentSizeA4;

/// BusinessCard 53.98 x 85.6 mm.
ABBYYUI_EXTERN AUIDocumentSize const AUIDocumentSizeBusinessCard;

/// Letter 215.9 x 279.4 mm.
ABBYYUI_EXTERN AUIDocumentSize const AUIDocumentSizeLetter;

/// ID 53.98 x 85.6 mm.
ABBYYUI_EXTERN AUIDocumentSize const AUIDocumentSizeID1;

/// ID 85.6 x 53.98 mm.
ABBYYUI_EXTERN AUIDocumentSize const AUIDocumentSizeID1Landscape;

/// ID Reversal 125 x 176 mm.
ABBYYUI_EXTERN AUIDocumentSize const AUIDocumentSizePassportB6;

/// Profile name type.
typedef NSString AUIProfileName NS_TYPED_EXTENSIBLE_ENUM;
/// Profile ID1 front side with document size AUIDocumentSizeID1.
ABBYYUI_EXTERN AUIProfileName* const AUIProfileNameID1;

/// Profile PassportB6 front side with document size AUIDocumentSizePassportB6.
ABBYYUI_EXTERN AUIProfileName* const AUIProfileNamePassportB6;

/// Detector types.
typedef NSString AUIDetectorType NS_TYPED_EXTENSIBLE_ENUM;
/// Detector name for barcodes
ABBYYUI_EXTERN AUIDetectorType* const AUIDetectorTypeBarcode;

/// Detector name for barcodes
ABBYYUI_EXTERN AUIDetectorType* const AUIDetectorTypeFace;

NS_ASSUME_NONNULL_END
