/// ABBYY Mobile Capture © 2020 ABBYY Development, Inc.
/// ABBYY is a registered trademark or a trademark of ABBYY Software Ltd.

#import "AUICaptureResult.h"
#import "AUIDefinitions.h"

NS_ASSUME_NONNULL_BEGIN

/// Image capture result.
ABBYYUI_EXTERN
@interface AUIImageCaptureResult: NSObject<AUICaptureResult>

/// Cropped image, or captured image, if no documentBoundary was detected.
@property (nonatomic, strong, readonly) UIImage* image;
/// Captured image.
@property (nonatomic, strong, readonly) UIImage* originalImage;
/// Original image from initializer. (Without applied rotation)
@property (nonatomic, strong, readonly) UIImage* rawOriginalImage;
/// Image orientation.
@property (nonatomic, assign) UIImageOrientation imageOrientation;

- (instancetype)initWithImage:(UIImage*)originalImage;

@end

NS_ASSUME_NONNULL_END
