/// ABBYY Mobile Capture © 2020 ABBYY Development, Inc.
/// ABBYY is a registered trademark or a trademark of ABBYY Software Ltd.

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/// Adopt any class to fit the AUILocalizer interface to make it provider of your own localization.
@protocol AUILocalizer <NSObject>

/* Method for retrieving localized strings. */
- (NSString *)localizedStringForKey:(NSString *)key value:(nullable NSString *)value
                              table:(nullable NSString *)tableName NS_FORMAT_ARGUMENT(1);

@end

NS_ASSUME_NONNULL_END

/// NSBundle becomes the AUILocalizer by default.
@interface NSBundle (AUILocalizer) <AUILocalizer>
@end
