/// ABBYY Mobile Capture © 2020 ABBYY Development, Inc.
/// ABBYY is a registered trademark or a trademark of ABBYY Software Ltd.

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

/// Settings for capture scenario for selfie.
@protocol AUISelfieCaptureSettings

/// Maximum faces count. Default value is 1.
@property (nonatomic, assign) NSUInteger maxFacesCount;
/// Bounding box insets. Default value is (0.35, 0, 0.15, -0.05).
@property (nonatomic, assign) UIEdgeInsets boundingBoxInsets;
/// Minimum area ratio. Default value is 0.73.
@property (nonatomic, assign) CGFloat minRatio;
/// Allowed center shift for X-axis. Default value is 0.1.
@property (nonatomic, assign) CGFloat centerShiftX;
/// Allowed center shift for Y-axis. Default value is 0.1.
@property (nonatomic, assign) CGFloat centerShiftY;
/// Rotational angle of the face around the x-axis in degrees. Default value is 15.
@property (nonatomic, assign) NSUInteger pitchAngle;
/// Rotational angle of the face around the y-axis in degrees. Default value is 7.
@property (nonatomic, assign) NSUInteger yawAngle;
/// Rotational angle of the face around the z-axis in degrees. Default value is 7.
@property (nonatomic, assign) NSUInteger rollAngle;
/// Stabilization duration in seconds. Default valiue is 1.5.
@property (nonatomic, assign) NSTimeInterval stabilizationDuration;

@end

NS_ASSUME_NONNULL_END
