# Vantage Mobile Input SDK UIKit Sample Project

This sample demonstrates MobileInputDocuments framework usage with implementation using UIKit framework.

## Activation
Valid license file is required to activate MobileInputDocuments.
Place your license to VantageMobileInputSDK/assets/ directory.

## Classes
**SessionsViewController** main screen that displays list of active capturing sessions. For the first launch list of session is empty.

Session can be launched in two modes:
- Connected mode. Requires to fill mobile input parameters for uploading documents to Vantage.
- Disconnected mode. Requires to fill only document to scan and allows to work offline.

You can start a new session by pressing "+" button at the bottom. **Action sheet** will be presented to choose *documents to scan* for connected mode and also enter mobile input parameters for disconnected mode and start capture session.

**SessionCell** UITableViewCell that displays existing session. Continues sessoin by the tap on the cell. Displays options menu to upload or delete session.
- Upload documents. If session was initially created in connected mode then original parameters will be used to upload session. If session was initially created in disconnected mode then you should enter mobile input parameters for uploading.
- Delete session.

**Action sheet** screen with selection of the document type. Allows to fill required parameters depending on mode: connected or disconnected.

For disconnected mode only documents to scan is required to be filled.

To switch between connected and disconnected modes just toggle "Enter parameters for uploading" switch.

For connected mode mobile input parameters required to be filled: token, base URL, vantage API version, transaction identifier, documents to scan.
Fast QR code scanning is available to fill mobile input paramters by pressing "Scan Mobile Input Link QR" button that opens *QRCodeScanViewController*.
Also mobile input link can be entered manually by pressing "Enter Mobile Input Link" button that displays input alert.

After filling all required fileds completion button will be enabled to return to *SessionsViewController* and start/continue/upload session.

**QRCodeScanViewController** screen for scanning QR code.

All screens designed in Main.storyboard.

**JSONInputViewController** 

## License
Copyright © 2016-2024 ABBYY Production LLC. Licensed under the Apache License, Version 2.0. See [the license file](https://www.apache.org/licenses/LICENSE-2.0.txt).
