// Copyright (C) © 2024 ABBYY Development, Inc., 2024. All rights reserved.
// Product: ABBYY® VantageMobileInputSDKSampleSwift®
// Extensions.swift
// Description: Extensions.

import UIKit

extension UIViewController {
    func showAlert(title: String, message: String? = nil, details: String? = nil, completion: (() -> Void)? = nil) {
        let alert = UIAlertController(title: title, message: message, preferredStyle: .alert)
        alert.addAction(UIAlertAction(title: "OK", style: .cancel, handler: { _ in
            completion?()
        }))
        if let details {
            alert.addAction(UIAlertAction(title: "Details", style: .default, handler: { [weak self] _ in
                self?.showAlert(title: "Details", message: details, completion: completion)
            }))
        }
        present(alert, animated: true, completion: nil)
    }
}
